### Enumeration

# Camel VeeFolderOpFlags

since: 3.58

#### Declaration

    flags Camel.VeeFolderOpFlags

#### Description [src]

Flags influencing behavior of some functions of a `CamelVeeFolder`, like the camel_vee_folder_set_expression_sync(), camel_vee_folder_add_folder_sync (), camel_vee_folder_remove_folder_sync () and camel_vee_folder_set_folders_sync().

Available since: 3.58

#### Members

`CAMEL_VEE_FOLDER_OP_FLAG_NONE`

  No flag set.

  - Value: `0`
  - Available since: 3.58
`CAMEL_VEE_FOLDER_OP_FLAG_SKIP_REBUILD`

  Skip rebuild of the search folder.

  - Value: `1`
  - Available since: 3.58
`CAMEL_VEE_FOLDER_OP_FLAG_SKIP_EMIT`

  Skip emit of internal “vee-setup-changed” signal.

  - Value: `2`
  - Available since: 3.58